SCA_SoapProxy::createDataObject
SCA::getService
SCA Functions
PHP Manual

# SCA::createDataObject

(No version information available, might be only in CVS)

SCA::createDataObject — create an SDO

### Description

SDO_DataObject SCA::createDataObject ( string `$type_namespace_uri` , string `$type_name` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

This method is used inside an SCA component that needs to create an SDO to return. The parameters are the desired SDO's namespace URI and type name. The namespace and type must be defined in one of the schema files which are specfied on the @types annotation within the component.

### Parameters

`type_namespace_uri`

  The namespace of the type.

`type_name`

  The name of the type.

### Return Values

Returns the newly created SDO_DataObject.

### Errors/Exceptions

`SDO_TypeNotFoundException`

  Thrown if the namespaceURI and typeName do not correspond to a type in any of the schema files specified in the @types annotations.

SCA_SoapProxy::createDataObject
SCA::getService
SCA Functions
PHP Manual